Skip to content

Get order contents

GET {{baseUrl}}/orders/{{orderId}}/contents

Returns the line items for an order. Source: PlainOrder type.

Response fields (array of line items):

  • itemName — the menu item / package description.
  • quantity — units of this item.
  • itemPrice / price — item price (cents) / formatted display price.
  • instructions / itemInstructions — special requests for the order or this specific item.
  • length/width/height/weight — package dimensions (cm / grams) for non-food deliveries.
Terminal window
curl --request GET 'https://api.firstdelivery.com/api/orders/REPLACE_WITH_ORDER_ID/contents'
[
{
"itemName": "Margherita Pizza",
"quantity": 2,
"itemPrice": 1499,
"instructions": "Extra napkins"
},
{
"itemName": "Caesar Salad",
"quantity": 1,
"itemPrice": 899
}
]